#include "xcardmemory.h"

XCardMemory::XCardMemory()
    : XAsset()
    , mPlatform(0)
{
    
}

XCardMemory::~XCardMemory()
{
    
}

quint32 XCardMemory::GetPlatform() const
{
    return mPlatform;
}

void XCardMemory::ParseData(QDataStream *aStream)
{
    *aStream >> mPlatform;
}

void XCardMemory::Clear()
{
    mPlatform = 0;
}
